package run;

import general.Gui;
import general.GuiThread;

import java.awt.Font;
import java.awt.Label;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextField;
import javax.swing.ListSelectionModel;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;

import options.SimulatorOptions;

import util.FileHandler;

import com.cloudgarden.layout.AnchorConstraint;
import com.cloudgarden.layout.AnchorLayout;
import com.jgoodies.forms.layout.CellConstraints;
import com.jgoodies.forms.layout.FormLayout;

/**
 * This code was edited or generated using CloudGarden's Jigloo SWT/Swing GUI Builder, which is free for non-commercial use. If Jigloo is being used commercially (ie, by a corporation, company or business for any purpose whatever) then you should
 * purchase a license for each developer using Jigloo. Please visit www.cloudgarden.com for details. Use of Jigloo implies acceptance of these licensing terms. A COMMERCIAL LICENSE HAS NOT BEEN PURCHASED FOR THIS MACHINE, SO JIGLOO OR THIS CODE
 * CANNOT BE USED LEGALLY FOR ANY CORPORATE OR COMMERCIAL PURPOSE.
 */
public class Replay extends JFrame {
	private static final long serialVersionUID = 1L;

	private JList<String> fileList;
	private JList<String> environmentList;
	private String[] phenoList;
	private String[] environmentStringList;
	private JLabel guiSpeed;
	private JPanel jPanel1;
	private JTextField guiSpeedField;
	private String selected;
	private String selectedEnvironment;
	private JButton jButton;
	private final int maxRows = 18;

	public Replay() {
		Gui.exit_on_close = false;

		// READ LIST
		phenoList = FileHandler.getFileList();
		for (int i = 0; i < phenoList.length; i++) {
			phenoList[i] = phenoList[i].replace(".ind", "");
		}
		environmentStringList = FileHandler.getEnvironmentList();
		// Create elements of window
		createHeadline();
		createFileList();
		createEnvironmentList();
		createSpeedField();
		createButton();
		createFrame();
		
//		Gui.setScreenShotModeOn();
//		SimulatorOptions.drawWindReduction = true;
	}

	private void createSpeedField() {
		jPanel1 = new JPanel();
		FormLayout jPanel1Layout = new FormLayout("center:23dlu", "max(p;5dlu), max(p;5dlu), max(p;5dlu), max(p;5dlu), max(p;10px)");
		jPanel1.setLayout(jPanel1Layout);
		getContentPane().add(jPanel1, new AnchorConstraint(733, 970, 968, 852, AnchorConstraint.ANCHOR_REL, AnchorConstraint.ANCHOR_NONE, AnchorConstraint.ANCHOR_REL, AnchorConstraint.ANCHOR_REL));
		jPanel1.setPreferredSize(new java.awt.Dimension(57, 85));

		guiSpeed = new JLabel();
		jPanel1.add(guiSpeed, new CellConstraints("1, 1, 1, 1, default, default"));
		guiSpeed.setText("Speed");
		guiSpeedField = new JTextField();

		jPanel1.add(guiSpeedField, new CellConstraints("1, 2, 1, 1, fill, center"));
		guiSpeedField.setPreferredSize(new java.awt.Dimension(35, 24));
		guiSpeedField.setText("50");
		guiSpeedField.addKeyListener(new KeyListener(){

			@Override
			public void keyPressed(KeyEvent arg0) {
				// TODO Auto-generated method stub
				
			}

			@Override
			public void keyReleased(KeyEvent arg0) {
				// TODO Auto-generated method stub
				if (arg0.getKeyCode() == KeyEvent.VK_ENTER) {
					Gui.guiSpeedFactor = Float.parseFloat(guiSpeedField.getText());
					new GuiThread(selected + ".ind", selectedEnvironment);
				}
			}

			@Override
			public void keyTyped(KeyEvent arg0) {
				// TODO Auto-generated method stub
				
			}
			
		});
	}

	public void createHeadline() {
		Label label = new Label("Phenotype                    Environment");
		Font font = new Font("arial", Font.BOLD, 14);
		label.setFont(font);
		getContentPane().setLayout(new AnchorLayout());
		getContentPane().add(label, new AnchorConstraint(29, 832, 75, 14, AnchorConstraint.ANCHOR_REL, AnchorConstraint.ANCHOR_REL, AnchorConstraint.ANCHOR_REL, AnchorConstraint.ANCHOR_REL));
		label.setPreferredSize(new java.awt.Dimension(314, 17));
		label.setText("Phenotype                                    Environment");
	}

	private void createButton() {
		jButton = new JButton("Run");
		jPanel1.add(jButton, new CellConstraints("1, 5, 1, 1, fill, default"));
		jButton.setMargin(new java.awt.Insets(1, 1, 1, 1));
		jButton.addMouseListener(new MouseListener() {
			@Override
			public void mouseReleased(MouseEvent e) {
				if (e.getButton() == MouseEvent.BUTTON1) {
					Gui.guiSpeedFactor = Float.parseFloat(guiSpeedField.getText());
					new GuiThread(selected + ".ind", selectedEnvironment);
				}
			}

			@Override
			public void mousePressed(MouseEvent e) {
			}

			@Override
			public void mouseExited(MouseEvent e) {
			}

			@Override
			public void mouseEntered(MouseEvent e) {
			}

			@Override
			public void mouseClicked(MouseEvent e) {
			}
		});
	}

	private void createFileList() {
		fileList = new JList<String>(phenoList); // data has type Object[]
		fileList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
		fileList.setLayoutOrientation(JList.VERTICAL);
		fileList.setSelectedIndex(phenoList.length - 1);
		selected = phenoList[phenoList.length - 1];
		JScrollPane listScrollerPheno = new JScrollPane(fileList);
		listScrollerPheno.setVisible(true);
		fileList.addListSelectionListener(new ListSelectionListener() {
			@Override
			public void valueChanged(ListSelectionEvent e) {
				selected = phenoList[fileList.getSelectedIndex()];
			}
		});
		getContentPane().add(listScrollerPheno, new AnchorConstraint(75, 566, 979, 14, AnchorConstraint.ANCHOR_REL, AnchorConstraint.ANCHOR_REL, AnchorConstraint.ANCHOR_REL, AnchorConstraint.ANCHOR_REL));
		listScrollerPheno.setPreferredSize(new java.awt.Dimension(212, 327));
		listScrollerPheno.setViewportView(fileList);

	}

	private void createEnvironmentList() {
		JScrollPane listScroller = new JScrollPane(environmentList);
		listScroller.setVisible(true);
		getContentPane().add(listScroller, new AnchorConstraint(75, 832, 979, 582, AnchorConstraint.ANCHOR_REL, AnchorConstraint.ANCHOR_REL, AnchorConstraint.ANCHOR_REL, AnchorConstraint.ANCHOR_REL));
		listScroller.setPreferredSize(new java.awt.Dimension(96, 327));

		{
			environmentList = new JList<String>(environmentStringList); // data has type Object[]
			listScroller.setViewportView(environmentList);
			environmentList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
			environmentList.setLayoutOrientation(JList.VERTICAL);
			environmentList.setVisibleRowCount(maxRows);
			environmentList.setSelectedIndex(3);
			selectedEnvironment = environmentStringList[environmentList.getSelectedIndex()];
			environmentList.addListSelectionListener(new ListSelectionListener() {
				@Override
				public void valueChanged(ListSelectionEvent e) {
					selectedEnvironment = environmentStringList[environmentList.getSelectedIndex()];
				}
			});
		}
	}

	private void createFrame() {
		setSize(400, 400);
		setTitle("Replay");
		setVisible(true);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

	}

	public static void main(String[] args) {
		new Replay();
	}

}
