package run;

import options.SimulatorOptions;
import setups.*;
import test_setups.*;
import evaluation.Evaluator;
import evaluation.EvaluatorToLight;
import general.Gui;
import general.Simulation;

public class RunSimulation {
	/** Main */

	public static void main(String[] args) {
		
		/** Test setups **/
//		 Setup setup = new IceTestSetup();
//		 Setup setup = new DragTestSetup();
//		 Setup setup = new WindAbsorptionTestSetup();
//		 Setup setup = new LightSourceRobotTest();
//		 Setup setup = new ConnectionPullTestSetup();
//		 Setup setup = new HoleFallingTestSetup();
//		 Setup setup = new CollisionDetectionTestSetup();

		/** Setups **/
//		String environmentName = "WindyAndHoles.ini";
//		String environmentName = "WindyAndHoles6";
//		String environmentName = "IceOnly.ini";
//		String environmentName = "OpposingWind.ini";
//		String environmentName = "OpposingWind";
		String environmentName = "OpposingWind6";
//		String environmentName = "OpposingWindObstacles.ini";
//		String environmentName = "SideWindObstacles.ini";
//		Setup setup = Setup.newSetup(environmentName);
//		String environmentName = "OpposingWindObstacles6";
//		String environmentName = "SideWindObstacles6";
		Setup setup = Setup.newSetup(environmentName);
//
		Evaluator evaluator = new EvaluatorToLight();
	
		Simulation simulation = new Simulation(setup.generateWorld(null), evaluator);

//		Gui.setEnvironmentScreenShotModeOn();
//		Gui.setScreenShotModeOn();
		
		SimulatorOptions.showGUI = true;
		System.out.println(simulation.run());
	}
}
