package util;

import general.Individual;
import general.Phenotype;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
public class FileHandler {
	private static final String folder = "data/results/phenotypes/";

	public static void savePhenoype(Individual ind, String environment) {
		@SuppressWarnings("unchecked")
		Float[] phenotypeArray = ((Phenotype<Float>) (ind.getPhenotype())).getPhenotypeArray();
		int gen = ind.getGeneration();
		double fitness = ind.getFitness();
		try {
			ObjectOutputStream out = new ObjectOutputStream(new FileOutputStream(folder + Util.dateAsString()  + " - gen "+ gen + " - fit " +   Util.StringDoubleTwo((float) fitness) + " - " + environment + ".ind"));
			out.writeObject(phenotypeArray);
			out.close();
		} catch (Exception e) {
		}

	}

	public static String[] getEnvironmentList(){
		File folder = new File("data/environments");
		File[] listOfFiles = folder.listFiles();
		String[] names = new String[listOfFiles.length];
		for (int i = 0; i < names.length; i++) {
			names[i] = listOfFiles[i].getName();
		}
		
		// add setups that are not ini-files
		String[] listOfSetupFiles = new String[]{"OpposingWind", "OpposingWindObstacles", "SideWindObstacles", "WindyAndHoles"};
		int numberOfWindVelocities = 4;
		String[] allNames = new String[listOfSetupFiles.length*numberOfWindVelocities+names.length];
		int i = 0;
		for(int j = 0;j<listOfSetupFiles.length;j++){
			for(int k = 0;k<numberOfWindVelocities;k++){
				allNames[i] = listOfSetupFiles[j]+k*2+".0f";
				i++;
			}
		}
		for(int l = 0;l<names.length;l++){
			allNames[i] = names[l];
			i++;
		}
		
		
		return allNames;
	}
	
	public static String[] getFileList(){
		File phenotypesFolder = new File(folder);
		File[] listOfFiles = phenotypesFolder.listFiles();
		String[] names = new String[listOfFiles.length];
		for (int i = 0; i < names.length; i++) {
			names[i] = listOfFiles[i].getName();
		}
		return names;
	}

	public static Phenotype<Float> readPhenotype(String filename) {
		try {
			ObjectInputStream in = new ObjectInputStream(new FileInputStream(folder + filename));
			Float[] phenotypeArray = (Float[]) in.readObject();
			in.close();
			return new Phenotype<Float>(phenotypeArray);
		} catch (Exception e) {
			e.printStackTrace();
			return null;
		}
	}

	public static Phenotype<Float> readNewes() {
		File phenotypesFolder = new File(folder);
		File[] listOfFiles = phenotypesFolder.listFiles();

		String fileName = listOfFiles[listOfFiles.length - 1].getName();
		// System.out.println(fileName);
		return readPhenotype(fileName);
	}
}
