package util;

import java.util.ArrayList;

public class PerformanceTester {
	private static ArrayList<TimeTest> timeTests = new ArrayList<TimeTest>();
	
	public static void startTest(String name){
		TimeTest t = new TimeTest(name);
		timeTests.add(t);
	}
	
	public static void endTest(String name){
		long endTime =  System.nanoTime();
		for(TimeTest test : timeTests){
			if(test.name.equals(name)){
				test.end(endTime);
				timeTests.remove(test);
				return;
			}
		}
//		System.out.println("PerformanceTest " + name + " was not found"); 
	}
	
	static class TimeTest {
        private String name;
        private long startTime;
		
		public TimeTest(String name){
        	this.name = name;
        	startTime = System.nanoTime();
        }
		
		public void end(long endTime){
			float end = (float) ((endTime - startTime)/1e6);
			System.out.println(name + ": "  + Util.fixedDecimals(end, 4) + " ms"); 
		}
		
		public String getName() {
			return name;
		}
    }
}
