package actions;

import java.awt.Color;

import robot.Gripper;
import robot.Robot;

public class ReleaseGripAction extends ActuatorAction{

	public ReleaseGripAction(float forceLeft, float forceRight) {
		super(forceLeft, forceRight);
		this.name = "Release Grip";
	}

	@Override
	public void performAction(Robot robot) {
		robot.setWheelForces(forces.x, forces.y);
		robot.getBackLight().setColor(Color.ORANGE);
		
		Gripper gripper = robot.getGripper();
		if(robot.getConnectionJoint() != null){
			gripper.tryDisconnect();
		}
	}

}
