package behaviors;

import java.awt.Color;
import java.util.ArrayList;

import managers.ActionHandler;
import robot.LightSensor;
import robot.SensorHandler;
import controller.ArbitrationController;

public class FollowLeaderBehavior extends ConvergingBehavior {
	public FollowLeaderBehavior(ArbitrationController controller) {
		super(controller);
		this.name = "Follow Leader";
	}

	@Override
	public void updateVote(float elapsedTime) {
		resetVote();

		ArrayList<LightSensor> sensors = controller.getRobot().getSensorHandler().getLightSensors();
		if(sensors.get(SensorHandler.FRONT).getClosestColorToSensorColor() == Color.ORANGE){
			vote[ActionHandler.BACKWARD] = 1f;
			vote[ActionHandler.FORWARD] = -1f;
			vote[ActionHandler.FORWARD_LEFT] = -1f;
			vote[ActionHandler.FORWARD_RIGHT] = -1f;
			return;
		}
		
		float highestLightValue = highestLightValue();
		
		voteToConvergeInDirection(SensorHandler.FRONT, ActionHandler.FORWARD, highestLightValue);
		voteToConvergeInDirection(SensorHandler.FRONT_RIGHT, ActionHandler.FORWARD_RIGHT, highestLightValue);
		voteToConvergeInDirection(SensorHandler.FRONT_LEFT, ActionHandler.FORWARD_LEFT, highestLightValue);
		
	}

	@Override
	public boolean isRightColor(Color c) {
		return c == Color.GREEN || c == Color.ORANGE;
	}

}
