package behaviors;

import managers.ActionHandler;

public class WanderBehavior extends Behavior {
	private final float probabilityForward = 1f;
	private final float probabilitySoftTurn = 0.6f;
	private final float probabilityHardTurn = 0.4f;
	private final float probabilityBackward = 0.4f;

	public WanderBehavior() {
		super(null);
		this.name = "Wander";
	}

	@Override
	public void updateVote(float elapsedTime) {
		resetVote();
		
		voteWithProbability(ActionHandler.FORWARD, probabilityForward);
		voteWithProbability(ActionHandler.FORWARD_LEFT, probabilitySoftTurn);
		voteWithProbability(ActionHandler.FORWARD_RIGHT, probabilitySoftTurn);
		voteWithProbability(ActionHandler.TURN_HARD_LEFT, probabilityHardTurn);
		voteWithProbability(ActionHandler.TURN_HARD_RIGHT, probabilityHardTurn);
		voteWithProbability(ActionHandler.BACKWARD, probabilityBackward);
	}
}
