package controller;

import java.awt.Color;
import java.awt.Graphics2D;

import robot.LightSensor;

public class ForwardTestController extends Controller {
	private float stopAtTime;
	private float forceLeft;
	private float forceRight;
	public static boolean printCollisionVote = false;//Don't change them here
	public static boolean printConverging = false; //Don't change them here

	public ForwardTestController(float stopAtTime, float forceLeft, float forceRight) {
		super();
		this.stopAtTime = stopAtTime;
		this.forceLeft = forceLeft;
		this.forceRight = forceRight;
	}

	@Override
	public void run(float elapsedTime) {
		if (elapsedTime >= stopAtTime) {
			robot.setWheelForces(0, 0);
			robot.setMotorIsRunning(false);
		} else {
			robot.setWheelForces(forceLeft, forceRight);
		}

		if (printCollisionVote && robot.getSensorHandler().isDraw()) {
			float minDistance = Float.MAX_VALUE;
			for (LightSensor s : robot.getSensorHandler().getLightSensors()) {
				if (s.getDistanceValue() < minDistance)
					minDistance = s.getDistanceValue();
			}
			for (LightSensor s : robot.getSensorHandler().getLightSensors()) {
				float extraDistance = s.getDistanceValue() - minDistance;
				System.out.println((extraDistance - 0.3) / 0.3);
			}
		}
		
		if (printConverging && robot.getSensorHandler().isDraw()) {
			float highestLight = 0;
			for (LightSensor s : robot.getSensorHandler().getLightSensors()) {
				if(s.getLightValue() > highestLight)
					highestLight = s.getLightValue();
			}
			for (LightSensor s : robot.getSensorHandler().getLightSensors()) {
				System.out.println(s.getLightValue() / highestLight);
			}
		}
	}

	@Override
	public void draw(Graphics2D g) {
	}
}
