package binary;

import general.ChildPopulationMaker;
import general.Genotype;
import general.Individual;
import general.Population;

import java.util.ArrayList;

import options.EAOptions;



public class ChildPopulationMakerBinary extends ChildPopulationMaker{

	public ChildPopulationMakerBinary(EAOptions ea) {
		super(ea);
	}

	@Override
	public void createRandomChildPopulation(int popSize, int genLength) {
		Population.childPopulation.clear();
		for (int i = 0; i < popSize; i++) {
			Boolean[] genotypeArray = new Boolean[genLength];
			for (int j = 0; j < genotypeArray.length; j++) {
				if(ea.trainAdvanced){
					genotypeArray[j] = Math.random() <= 0.25;
				}else{
					genotypeArray[j] = Math.random() <= 0.5;
				}
			}
			Individual newIndividual = new Individual(new Genotype<Boolean>(genotypeArray), 0);
			Population.childPopulation.add(newIndividual);
		}
		
	}
	
	@Override
	public void makeChildrenFromGenotypes(ArrayList<Genotype<?>> genotypes, int generation) {
		Population.childPopulation.clear();
		for (int i = 0; i < genotypes.size(); i++) {
			Population.childPopulation.add(new Individual(genotypes.get(i), generation));
		}
	}

}
