package binary;

import general.Crossover;
import general.Genotype;
import general.Individual;


public class CrossoverBinary extends Crossover {
	
	@SuppressWarnings("unchecked")
	@Override
	public Genotype<Boolean> CrossoverGenes(Individual parent1, Individual parent2) {
		Boolean[] parent1Array = ((Genotype<Boolean>) parent1.getGenotype()).getGenotypeArray();
		Boolean[] parent2Array = ((Genotype<Boolean>) parent2.getGenotype()).getGenotypeArray();
		Boolean[] genotypeArray = new Boolean[parent1Array.length];
		
		int crossoverPoint = (int)(Math.random()*parent2Array.length);
		
		for (int i = 0; i < genotypeArray.length; i++) {
			if (i < crossoverPoint) {
				genotypeArray[i] = parent1Array[i];
			} else {
				genotypeArray[i] = parent2Array[i];
			}
		}

		return new Genotype<Boolean>(genotypeArray);
	}

}
