package binary;
import general.Genotype;
import general.Mutation;

public class MutationBinaryNPoints extends Mutation {
	private final int nPoints;
	
	public MutationBinaryNPoints(int nPoints){
		this.nPoints = nPoints;
	}
	
	@SuppressWarnings("unchecked")
	@Override
	public Genotype<?> mutateGenes(Genotype<?> genotype) {
		Boolean[] genotypeArray = ((Genotype<Boolean>) genotype).getGenotypeArray();
		for (int i = 0; i < nPoints; i++) {
			int random = (int) (Math.random() * genotypeArray.length);
			genotypeArray[random] = !genotypeArray[random];// Flips single bit
		}
		return genotype;
	}

}
