package binary;
import general.Genotype;
import general.Mutation;

public class MutationBinaryProbability extends Mutation {
	private float probability;
	
	public MutationBinaryProbability(float mutationRateOnGene){
		this.probability = mutationRateOnGene;
	}
	
	@SuppressWarnings("unchecked")
	@Override
	public Genotype<?> mutateGenes(Genotype<?> genotype) {
		Boolean[] genotypeArray = ((Genotype<Boolean>) genotype).getGenotypeArray();
		for (int i = 0; i < genotypeArray.length; i++) {
			if(Math.random() < probability){
				genotypeArray[i] = !genotypeArray[i];// Flips single bit
			}
		}
		return genotype;
	}

}
