package general;

import java.util.ArrayList;


public class EvaluatePopulationParallelHandler extends EvaluatePopulationHandler{
	// Threading
	private int evaluationssLeft; 
	private final int maxActiveThreads = 8;
	private int activeThreads;

	public void doFitnessTest(ArrayList<Individual> childPopulation){
			evaluationssLeft = childPopulation.size();
			activeThreads = 0;
			
			for (Individual child : childPopulation) {
				while(!tryStartingTask(child)){
					try {
						Thread.sleep(5);
					} catch (InterruptedException e) {
						e.printStackTrace();
					}
				}
			}
			
			while(evaluationssLeft > 0){
				try {
					Thread.sleep(20);
				} catch (InterruptedException e) {
					e.printStackTrace();
				}
			}
	}
	
	public  synchronized boolean tryStartingTask(Individual child){
		if(activeThreads < maxActiveThreads){
			activeThreads++;
			new FitnessEvaluationThread("child thread ", this, child);
			return true;
		}
		return false;
	}
	
	public synchronized void submitTask() {
		evaluationssLeft --;
		activeThreads--;
	}
}
