package general;

import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;

public class Individual implements Comparable<Individual>{
	private Genotype<?> genotype;
	private Phenotype<?> phenotype;
	private int generation;
	private double fitness;

	public Individual(Genotype<?> genotype, int generation) {
		this.genotype = genotype;
		this.generation = generation;
	}

	public Genotype<?> getGenotype() {
		return genotype;
	}

	public Phenotype<?> getPhenotype() {
		return phenotype;
	}

	public int getGeneration() {
		return this.generation;
	}
	
	public void setPhenotype(Phenotype<?> phenotype) {
		this.phenotype = phenotype;
	}

	public double getFitness(){
		return fitness;
	}
	
	public void setFitness(double fitness){
		this.fitness = fitness;
	}
	
	
	
	public String toString(){
		DecimalFormatSymbols otherSymbols = new DecimalFormatSymbols();
		otherSymbols.setDecimalSeparator('.');
		DecimalFormat decimal3 = new DecimalFormat("#.###", otherSymbols);
		return "gen: " + generation + ", fit: " + decimal3.format(fitness) + ", phen: " + ((phenotype != null)? phenotype.toString() : "");
	}

	@Override
	public int compareTo(Individual o) {
		return (getFitness() > o.getFitness())?1:-1;
	}
}
