package general;


public class Phenotype<ListType> {
	protected ListType [] phenotypeArray;
	protected int numberOfConnections = 0;
	protected int numberOfRobotsPerSimulation = 0;
	protected int numberOfSamples = 0;

	public Phenotype(ListType [] phenotypeArray) {
		this.phenotypeArray = phenotypeArray;
	}

	public ListType[] getPhenotypeArray() {
		return phenotypeArray;
	}
	
	public String toString() {
		String temp = "Phenotype: ";
		for(ListType s : phenotypeArray){
			temp += s.toString() + "  ";
		}
		return temp;
	}

	public float getConnectionRate() {
		return (float)numberOfConnections /(numberOfRobotsPerSimulation*numberOfSamples);
	}

	public void addNumberOfConnections(int numberOfConnections) {
		this.numberOfConnections += numberOfConnections;
	}

	public void setNumberOfRobotsPerSimulation(int numberOfRobotsPerSimulation) {
		this.numberOfRobotsPerSimulation = numberOfRobotsPerSimulation;
	}
	
	public void setNumberOfSamples(int samples){
		numberOfSamples = samples;
	}
	
}
