package general;

import java.util.ArrayList;

public class Population {

	// Population of children
	public static ArrayList<Individual> childPopulation = new ArrayList<Individual>();
	// Population of adults
	public static ArrayList<Individual> adultPopulation = new ArrayList<Individual>();
	// Population of parents
	public static ArrayList<Individual> parentPopulation = new ArrayList<Individual>();
	// Population of elites
	public static ArrayList<Individual> elitePopulation = new ArrayList<Individual>();

	// Take out and return a random parent
	public static Individual extractRandomParent() {
		int random = (int) (Math.random() * parentPopulation.size());
		Individual parent = parentPopulation.get(random);
		parentPopulation.remove(random);
		return parent;
	}

	public static void makeElitePopulation(int numberOfElites) {
		elitePopulation.clear();
		
		for (int e = 0; e < numberOfElites; e++) {

			Individual best = adultPopulation.get(0);

			for (int i = 1; i < adultPopulation.size(); i++) {
				if (adultPopulation.get(i).getFitness() > best.getFitness())
					best = adultPopulation.get(i);
			}
			elitePopulation.add(best);
			adultPopulation.remove(best);
		}
		
		// Must add back because they where removed
		adultPopulation.addAll(elitePopulation);
	}
}
