package selection.parent;

import options.EAOptions;
import general.Individual;
import general.Population;


public class FitnessProportionate extends ParentSelection{

	public FitnessProportionate(EAOptions eaOptions){
		super(eaOptions);
	}
	
	@Override
	public void select() {
		// select a list of individuals
		double sumF = 0.0;
		int nmbOfIndividuals = Population.adultPopulation.size();
		double[] probabilityLimits = new double[nmbOfIndividuals];

		// Find fitness summed
		for (Individual i : Population.adultPopulation) {
			sumF += i.getFitness();
		}
		
		// Normalize and make list of limits for the rulettWheel
		probabilityLimits[0] = Population.adultPopulation.get(0).getFitness() / sumF;
		for (int i = 1; i < Population.adultPopulation.size(); i++) {
			probabilityLimits[i] = (Population.adultPopulation.get(i).getFitness() / sumF) + probabilityLimits[i - 1];
		}

		// Run rulettWheel
		int[] parentIndexes = roulettWheel(probabilityLimits, nParents);
		
		// Add winning adults as parents
		Population.parentPopulation.clear();
		for (int i = 0; i < parentIndexes.length; i++) {
			Population.parentPopulation.add(Population.adultPopulation.get(parentIndexes[i]));
		}

	}
}
