package selection.parent;

import options.EAOptions;


public abstract class ParentSelection {
	protected int nParents;
	
	public ParentSelection(EAOptions eaOptions){
		this.nParents = eaOptions.populationSize - eaOptions.numberOfElites;
	}
	
	// 4 types of selection methods

	public abstract void select();


	public static int[] roulettWheel(double[] probabilityLimits, int n) {
		int[] indexArray = new int[n];

		for (int j = 0; j < n; j++) {

			double random = Math.random();

			for (int i = 0; i < probabilityLimits.length; i++) {
				if (probabilityLimits[i] >= random) {
					indexArray[j] = i;
					break;
				}
			}
		}
		return indexArray;

	}

	public static void main(String[] args) {
		double[] limits = { 0.2, 0.5, 0.8, 1.0 };
		int n = 2;

		int[] index = new int[n];

		index = roulettWheel(limits, n);

		System.out.println(index[0] + ", " + index[1]);
	}
}
