package environment_objects;

import general.Gui;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Ellipse2D.Double;

import org.jbox2d.common.Vec2;

import util.Util;

public class IceCircle extends Ice {
	private Vec2 position;
	private float radius;

	public IceCircle(Vec2 position, float radius) {
		this.position = position;
		this.radius = radius;
	}

	@Override
	public boolean isOver(Vec2 positionBody) {
		float dX = positionBody.x - position.x;
		float dY = positionBody.y - position.y;
		float l = (float) (Math.sqrt(Math.pow(dX, 2) + Math.pow(dY, 2)));
		// System.out.println(radius > l);
		return radius > l;
	}

	@Override
	public void draw(Graphics2D g) {
		int x = (int) (position.x * Gui.scale);
		int y = (int) (position.y * Gui.scale);
		int r = (int) (radius * Gui.scale);
		Double ellipse = new Ellipse2D.Double(-r, -r, 2 * r, 2 * r);
		
		g.translate(x, y);

		// Draw white area
		g.setColor(new Color(0.87f, 0.95f, 1f));
		g.fill(ellipse);

		// Draw text
		g.setColor(Color.BLUE);
		
		g.drawString("Ice", -5, g.getFont().getSize()/2);

		// Draw dashed line
		g.setColor(new Color(0.8f, 0.8f, 0.8f, 0.8f));
		g.setStroke(Util.dashedLine);
		g.draw(ellipse);

		// Reset
		g.translate(-x, -y);
		g.setStroke(Util.thinLine);
	}
}
