package environment_objects;

import general.Gui;
import java.awt.Color;
import java.awt.Graphics2D;
import org.jbox2d.common.Vec2;

import util.Util;

public class IceRectangle extends Ice{
	private Vec2 position;
	private Vec2 size;
	
	public IceRectangle(Vec2 position,  Vec2 size){
		this.position = position;
		this.size = size;
	}

	@Override
	public boolean isOver(Vec2 positionBody) {
		if(positionBody.x < position.x)
			return false;
		if(positionBody.y < position.y)
			return false;
		if(positionBody.y > position.y + size.y)
			return false;
		if(positionBody.x > position.x + size.x)
			return false;
		return true;
	}

	@Override
	public void draw(Graphics2D g) {
		int x = (int) (position.x * Gui.scale);
		int y = (int) (position.y * Gui.scale);
		int dX = (int) (size.x * Gui.scale);
		int dY = (int) (size.y * Gui.scale);
		g.translate(x, y);
		
		// Draw white area
		g.setColor(new Color(0.87f, 0.95f, 1f));
		g.fillRect(0, 0, dX, dY);
		
		// Draw text
		g.setColor(Color.BLUE);
		g.drawString("Ice", 5 ,15);

		// Draw dashed line
		g.setColor(new Color(0.8f, 0.8f, 0.8f, 0.8f));
		g.setStroke(Util.dashedLine);
		g.drawRect(0, 0, dX, dY);

		// Reset
		g.translate(-x, -y);
		g.setStroke(Util.thinLine);
	}
}
