package evaluation;

import environment_objects.World;

public abstract class Evaluator {
	private float lastCheck = 0f;
	private final float evaluationInterval = 0.5f;
	private double currentFitness = 0;

	public abstract double evaluate(World world, float elapsedTimes);

	public abstract boolean isFinished(double fitness, World world);

	public double evaluateOnInterval(World world, float elapsedTime) {
		if (elapsedTime >= lastCheck + evaluationInterval) {
			lastCheck = elapsedTime;
			currentFitness = evaluate(world, elapsedTime);
		}
		return currentFitness;
	}

}
