package general;


import java.util.ArrayList;

import org.jbox2d.common.Vec2;

import environment_objects.World;

import robot.Robot;

public class DistributeRandomly {

	public static void distributeRobotsRandomly(World world){
		float[] startingArea = world.getGround().getStartingArea();
		
		if(startingArea == null)
			System.err.println("startingArea not set");
		
		
		float size = Robot.getSize();
		float minX = startingArea[0] + size;
		float minY = startingArea[1] + size;
		float dX = startingArea[2] - size;
		float dY = startingArea[3] - size;
		
		ArrayList<Robot> robots = world.getRobots();
		
		int robotsPlaced = 0;
		while(robotsPlaced < robots.size()){
			Vec2 position = new Vec2((float) (minX + Math.random()*dX),(float) (minY + Math.random()*dY));
			// check not to close to others
			if(!isOverlapping(position, robots)){
				robots.get(robotsPlaced).getBody().setTransform(position,(float)(Math.random()*360));
				robotsPlaced++;
			}
		}
		// Find random starting positions that does not overlap  
	}
	
	private static boolean isOverlapping(Vec2 position, ArrayList<Robot> robots){
		for (Robot robot : robots) {
			if(robot.getBody().getPosition().sub(position).length() < Robot.getSize() * 2 + 0.015){
				return true;
			}
		}
		return false;
	}
	
}
