package general;

import options.SimulatorOptions;
import setups.Setup;
import util.FileHandler;
import evaluation.EvaluatorToLight;

public class GuiThread extends Thread{
	private String selected;
	private String selectedEnvironment;
	
	public GuiThread(String selected, String selectedEnvironment) {
		super(selected);
		this.selected = selected;
		this.selectedEnvironment = selectedEnvironment;
		start(); // Start the thread
	}
	
	public void run() {
		Phenotype<Float> phenotype = FileHandler.readPhenotype(selected);
		Setup environment = Setup.newSetup(selectedEnvironment);
		Simulation s = new Simulation(environment.generateWorld(phenotype), new EvaluatorToLight());
		SimulatorOptions.showGUI = true;
//		Gui.setScreenShotModeOn();
		s.run();
	}

}
