package joints;

import environment_objects.Ground;
import environment_objects.WindArea;

import org.jbox2d.common.Vec2;
import org.jbox2d.dynamics.joints.FrictionJoint;
import org.jbox2d.dynamics.joints.FrictionJointDef;

import robot.Robot;

public class AirResistanceJoint {
	private FrictionJointDef jointDef;
	private FrictionJoint joint;

	public AirResistanceJoint(Robot robot, Ground ground) {
		jointDef = new FrictionJointDef();
		jointDef.bodyA = robot.getBody();
		jointDef.bodyB = ground.getBody();
		jointDef.maxForce = 0;
		jointDef.maxTorque = 0;
	}

	public FrictionJoint getJoint() {
		return joint;
	}

	public FrictionJointDef getJointDef() {
		return jointDef;
	}

	public void setJoint(FrictionJoint joint) {
		this.joint = joint;
	}

	public void update(Vec2 velocity) {
		float maxForce = WindArea.windConstants * (velocity.mul(15)).lengthSquared();
		joint.setMaxForce(maxForce);
		joint.setMaxTorque(0f);
	}
}
