package objects;

import java.awt.Graphics2D;

import org.jbox2d.collision.shapes.Shape;
import org.jbox2d.common.Vec2;
import org.jbox2d.dynamics.Body;
import org.jbox2d.dynamics.BodyDef;
import org.jbox2d.dynamics.BodyType;
import org.jbox2d.dynamics.FixtureDef;

import util.Tuple;


public abstract class BodyObject {
	protected BodyDef bd;
	public Body body;
	protected Shape shape;

	public BodyObject(Vec2 position, BodyType type) {
		bd = new BodyDef();
		bd.type = type;
		bd.position = position;
	}

	public BodyDef getBodyDef() {
		return bd;
	}

	public abstract FixtureDef setFixtureDef();

	public abstract void update();

	public abstract void draw(Graphics2D g);
	
	public abstract Tuple<Light, Float> getLightProperties(float normalAngle);

	public void setBody(Body body) {
		this.body = body;
		this.body.createFixture(setFixtureDef());
		this.body.setUserData(this);
	}

	public Body getBody() {
		return body;
	}

	public abstract boolean isOccupied(Vec2 position);
}
