package raycasts;

import org.jbox2d.callbacks.RayCastCallback;
import org.jbox2d.common.Vec2;
import org.jbox2d.dynamics.Fixture;

import robot.Robot;

public class GripperRaycastCallback implements RayCastCallback {
	private Vec2 connectionPoint;
	private final Robot otherRobot;
	

	public GripperRaycastCallback(Robot otherRobot) {
		connectionPoint = null;
		this.otherRobot = otherRobot;  
	}

	@Override
	public float reportFixture(Fixture fixture, Vec2 point, Vec2 normal, float fraction) {
		if(fixture.getBody() == otherRobot.getBody()){
			this.connectionPoint = point;
		}
		return 0;
	}

	public Vec2 getConnectionPoint() {
		return connectionPoint;
	}
}
