package raycasts;

import objects.BodyObject;

import org.jbox2d.callbacks.RayCastCallback;
import org.jbox2d.common.Vec2;
import org.jbox2d.dynamics.Fixture;

public class LightRaycastCallback implements RayCastCallback {
	private BodyObject lookAtObject;
	private boolean isHidden;
	
	public LightRaycastCallback(BodyObject lookAtObject) {
		this.lookAtObject = lookAtObject;
		isHidden = false;
	}

	@Override
	public float reportFixture(Fixture fixture, Vec2 point, Vec2 normal, float fraction) {
		if(fixture.getBody() != lookAtObject.getBody()){
			isHidden = true;
			return 0;
		}
		return 1;
	}

	public boolean isHidden() {
		return isHidden;
	}

}
