package robot;

import general.Gui;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.geom.Ellipse2D;

import org.jbox2d.common.Vec2;

import util.Util;

public class DeadRobot{
	/**
	 * Variable
	 */

	private Vec2 position;
	private float angle;
	

	/**
	 * Constructor
	 */

	public DeadRobot(Vec2 position, float angle) {
		this.position = position;
		this.angle = angle;
	}

	/**
	 * Public Methods
	 */

	public void draw(Graphics2D g) {
		double scaledRadius = Robot.size * Gui.scale*0.7;
		Ellipse2D ellipse = new Ellipse2D.Double(-scaledRadius, -scaledRadius, 2 * scaledRadius, 2 * scaledRadius);
		float x = position.x * Gui.scale;
		float y = position.y * Gui.scale;
		int dirY = (int) Math.round(scaledRadius * Math.sin(angle));
		int dirX = (int) Math.round(scaledRadius * Math.cos(angle));
		g.translate(x, y);

		// Body
		g.setColor(Color.darkGray);
		g.fill(ellipse);

		// Rest of body outline
		g.setStroke(Util.veryThinLine);
		g.setColor(Color.BLACK);
		g.draw(ellipse);

		// Direction
		g.setStroke(Util.thinLine);
		g.setColor(Color.BLACK);
		g.drawLine(0, 0, dirX, dirY);


		g.translate(-x, -y);
	}

}
