package test_setups;

import java.awt.Color;
import objects.LightSource;
import options.SimulatorOptions;
import org.jbox2d.common.Vec2;
import robot.Robot;
import setups.Setup;
import controller.ConnectionPullTestController;
import controller.ForwardTestController;
import environment_objects.World;
import general.Gui;
import general.Phenotype;

public class CollisionDetectionTestSetup extends Setup {

	@Override
	public World generateWorld(Phenotype<?> phenotype) {
		World world = new World(1, 1);
		Gui.guiSpeedFactor = 0.0001f;
		// add controllers

//		ForwardTestController.printCollisionVote = true;
		ForwardTestController.printConverging = true;
		world.addObject(new Robot(new Vec2(0.35f, 0.65f), 270.0f, world, new ForwardTestController(0, 0, 0)));
//		Robot r = new Robot(new Vec2(0.55f, 0.45f), 315.0f, world, new ForwardTestController(0, 0, 0));
//		r.getSensorHandler().setDraw(false);
//		world.addObject(r);
//		world.addObject(new Robot(new Vec2(0.495f, 0.505f), 315.0f, world, new ConnectionPullTestController(world, 1)));
		world.addObject(new LightSource(new Vec2(0.6f, 0.4f), Color.BLACK));
//		world.addObject(new LightSource(new Vec2(0.5f, 0.2f), Color.BLACK));
//		world.addObject(new LightSource(new Vec2(0.35f, 0.35f), Color.BLACK));
//		world.addObject(new LightSource(new Vec2(0.8f, 0.2f), Color.RED));
		


		// Add ice areas
		SimulatorOptions.drawSensors = true;

		return world;
	}

}
