package test_setups;

import environment_objects.WindArea;
import environment_objects.World;
import general.Phenotype;
import options.SimulatorOptions;

import org.jbox2d.common.Vec2;

import robot.Robot;
import setups.Setup;
import controller.ArbitrationController;
import controller.ForwardTestController;

public class ConnectAngleTestSetup extends Setup {
	
	@SuppressWarnings("unchecked")
	@Override
	public World generateWorld(Phenotype<?> phenotype) {
		World world = new World(1f, 2f);
		world.addObject(new Robot(new Vec2(0.2f,0.8f), 270, world, new ArbitrationController((Phenotype<Float>) phenotype)));
		world.addObject(new Robot(new Vec2(0.2f,0.4f), 220, world, new ForwardTestController(0,0,0)));
		
		
		WindArea.drawOutline=true;
		SimulatorOptions.drawController = true;
		
		return world;
	}

}
