package test_setups;

import environment_objects.IceRectangle;
import environment_objects.WindArea;
import environment_objects.World;
import general.Phenotype;
import options.SimulatorOptions;

import org.jbox2d.common.Vec2;

import robot.Robot;
import setups.Setup;
import controller.ConnectionPullTestController;

public class ConnectionPullTestSetup extends Setup {

	@Override
	public World generateWorld(Phenotype<?> phenotype) {
		World world = new World(1, 1);

		float stopAtTimeFront = 7f;
		float stopAtTimeBack = 0f;

		world.addObject(new Robot(new Vec2(0.88f, 0.1f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeFront)));
		world.addObject(new Robot(new Vec2(0.96f, 0.1f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeBack)));

		world.addObject(new Robot(new Vec2(0.88f, 0.37f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeFront)));
		world.addObject(new Robot(new Vec2(0.97f, 0.37f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeBack)));

		world.addObject(new Robot(new Vec2(0.88f, 0.6f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeFront)));
		world.addObject(new Robot(new Vec2(0.97f, 0.6f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeBack)));
//
		world.addObject(new Robot(new Vec2(0.88f, 0.87f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeFront)));
		world.addObject(new Robot(new Vec2(0.97f, 0.87f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeBack)));

		// Add ice areas

		world.getGround().addIceArea(new IceRectangle(new Vec2(0.4f, 0.75f), new Vec2(0.3f, 0.25f)));

		world.getGround().addWindArea(new WindArea(new Vec2(0f, 0.0f), new Vec2(1f, 0.2f), 5, WindArea.EAST, world));
		world.getGround().addWindArea(new WindArea(new Vec2(0f, 0.5f), new Vec2(1f, 0.5f), 5, WindArea.WEST, world));

		SimulatorOptions.drawSensors = false;
		WindArea.drawOutline = true;
		return world;
	}

}
