package test_setups;

import environment_objects.WindArea;
import environment_objects.World;
import general.Phenotype;
import options.SimulatorOptions;

import org.jbox2d.common.Vec2;

import robot.Robot;
import setups.Setup;
import controller.ForwardTestController;

public class DragTestSetup extends Setup {

	@Override
	public World generateWorld(Phenotype<?> phenotype) {
		World world = new World(2, 2);

		float stopAtTime = 10f;
		world.addObject(new Robot(new Vec2(0.5f, 1f), 0.0f, world, new ForwardTestController(stopAtTime, 1.0f, 1.0f)));
//		world.addObject(new Robot(new Vec2(1.95f, 1f), 180.0f, world, new ForwardTestController(stopAtTime, commonSpeed, commonSpeed)));

		// Add ice areas
//		world.getGround().addIceArea(new IceRound(new Vec2(0.1f, 0.1f), 0.15f));
//		world.getGround().addIceArea(new IceRectangle(new Vec2(0.45f, 0.25f), new Vec2(0.4f, 0.35f)));
//		world.getGround().addIceArea(new IceRectangle(new Vec2(0.85f, 0.4f), new Vec2(0.15f, 0.2f)));
//
//		world.getGround().addIceArea(new IceRectangle(new Vec2(0.2f, 0.8f), new Vec2(0.2f, 0.2f)));
//		world.getGround().addWindArea(new WindArea(new Vec2(0f, 0.8f), new Vec2(1f, 0.2f), new Vec2(0.045f, 0f)));

		SimulatorOptions.drawSensors = false;
		WindArea.drawOutline = true;
		return world;
	}

}
