package test_setups;

import environment_objects.Hole;
import environment_objects.WindArea;
import environment_objects.World;
import general.Phenotype;
import options.SimulatorOptions;

import org.jbox2d.common.Vec2;

import robot.Robot;
import setups.Setup;
import controller.ConnectionPullTestController;

public class HoleFallingTestSetup extends Setup {

	@Override
	public World generateWorld(Phenotype<?> phenotype) {
		World world = new World(1, 1);

		float stopAtTimeFront = 9f;
		float stopAtTimeBack = 0f;

		world.addObject(new Robot(new Vec2(0.88f, 0.1f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeFront)));
		world.addObject(new Robot(new Vec2(0.95f, 0.1f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeFront)));

		world.addObject(new Robot(new Vec2(0.88f, 0.37f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeFront)));
		world.addObject(new Robot(new Vec2(0.95f, 0.37f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeFront)));

		world.addObject(new Robot(new Vec2(0.88f, 0.6f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeFront)));
		world.addObject(new Robot(new Vec2(0.95f, 0.6f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeFront)));

		world.addObject(new Robot(new Vec2(0.76f, 0.87f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeFront)));
		world.addObject(new Robot(new Vec2(0.81f, 0.87f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeFront)));
		world.addObject(new Robot(new Vec2(0.88f, 0.87f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeFront)));
		world.addObject(new Robot(new Vec2(0.95f, 0.87f), 180.0f, world, new ConnectionPullTestController(world, stopAtTimeBack)));

		// Add ice areas

//		world.getGround().addIceArea(new IceRectangle(new Vec2(0.4f, 0.75f), new Vec2(0.3f, 0.25f)));
		
		world.getGround().addHole(new Hole(new Vec2(-0.5f, 0.5f), 0.9f));
//		world.getGround().addWindArea(new WindArea(new Vec2(0f, 0.0f), new Vec2(1f, 0.2f), new Vec2(0.06f, 0f)));
//		world.getGround().addWindArea(new WindArea(new Vec2(0f, 0.5f), new Vec2(1f, 0.5f), new Vec2(-0.06f, 0f)));

		SimulatorOptions.drawSensors = true;
		WindArea.drawOutline = true;
		return world;
	}

}
