package test_setups;

import environment_objects.World;
import general.Phenotype;
import options.SimulatorOptions;

import org.jbox2d.common.Vec2;

import robot.Robot;
import setups.Setup;
import controller.ForwardTestController;

public class LightSourceRobotTest extends Setup {

	@Override
	public World generateWorld(Phenotype<?> phenotype) {
		World world = new World(1, 1);

		// add robot
		world.addObject(new Robot(new Vec2(0.2f, 0.5f), 180.0f, world, new ForwardTestController(99, 0.2f, -0.2f)));

		world.addObject(new Robot(new Vec2(0.2f, 0.5f - 0.2828f), 90.0f, world, new ForwardTestController(0, 0, 0)));
		world.addObject(new Robot(new Vec2(0.4f, 0.3f), 135.0f, world, new ForwardTestController(0, 0, 0)));
		world.addObject(new Robot(new Vec2(0.4828f, 0.5f), 180.0f, world, new ForwardTestController(0, 0, 0)));
		world.addObject(new Robot(new Vec2(0.4f, 0.7f), 215.0f, world, new ForwardTestController(0, 0, 0)));
		world.addObject(new Robot(new Vec2(0.2f, 0.5f + 0.2828f), 270.0f, world, new ForwardTestController(0, 0, 0)));

		// add LightSource without light
		SimulatorOptions.drawSensors = false;
		return world;
	}

}
