package test_setups;

import java.awt.Color;

import objects.LightSource;
import org.jbox2d.common.Vec2;

import robot.Robot;
import setups.Setup;

import controller.ForwardTestController;
import environment_objects.World;
import general.Phenotype;

public class LightSourceTest extends Setup {

	@Override
	public World generateWorld(Phenotype<?> phenotype) {
		World world = new World(1, 1);

		// add controllers
		// world.addObject(new ForwardTestController(new Vec2(0.4f, 0.8f), 270.0f, 1.2f, 0.5f, world));

		// add light sources
		world.addObject(new LightSource(new Vec2(0.5f, 0.1f), new Color(1,0,1)));
		world.addObject(new LightSource(new Vec2(0.5f, 0.8f), Color.RED));
		world.addObject(new LightSource(new Vec2(0.4f, 0.8f), Color.GREEN));
		world.addObject(new LightSource(new Vec2(0.58f, 0.5f), Color.GREEN));
		world.addObject(new LightSource(new Vec2(0.3f, 0.5f), Color.YELLOW));

		// add robot
		world.addObject(new Robot(new Vec2(0.5f, 0.5f), 180.0f, world, new ForwardTestController(90, 0, 0)));

		// add LightSource without light
		LightSource l = new LightSource(new Vec2(0.4f, 0.5f), Color.GREEN);
		l.setLight(null);
		world.addObject(l);
		return world;
	}

}
