package test_setups;

import java.awt.Color;

import objects.LightSource;
import options.SimulatorOptions;

import org.jbox2d.common.Vec2;

import robot.Robot;
import setups.Setup;
import controller.ForwardTestController;
import environment_objects.WindArea;
import environment_objects.World;
import general.Phenotype;

public class WindAbsorptionTestSetup extends Setup {

	@Override
	public World generateWorld(Phenotype<?> phenotype) {
		World world = new World(1.2f, 1f);

		// add controllers

		world.addObject(new Robot(new Vec2(0.3f, 0.1f), 270.0f, world, new ForwardTestController(0, 0, 0)));

		world.addObject(new Robot(new Vec2(0.3f, 0.3f), 270.0f, world, new ForwardTestController(0, 0, 0)));
		world.addObject(new LightSource(new Vec2(0.1f, 0.335f), Color.BLUE));
		world.addObject(new LightSource(new Vec2(0.2f, 0.335f), Color.BLUE));
//
		world.addObject(new Robot(new Vec2(0.3f, 0.5f), 270.0f, world, new ForwardTestController(0, 0, 0)));
		world.addObject(new LightSource(new Vec2(0.1f, 0.465f), Color.BLUE));//1.0 0.55
		world.addObject(new LightSource(new Vec2(0.2f, 0.535f), Color.BLUE));
//
		world.addObject(new Robot(new Vec2(0.2f, 0.75f), 270.0f, world, new ForwardTestController(0, 0, 0)));
		world.addObject(new Robot(new Vec2(0.3f, 0.75f), 270.0f, world, new ForwardTestController(0, 0, 0)));

		
		world.addObject(new Robot(new Vec2(0.77f, 0.75f), 270.0f, world, new ForwardTestController(0, 0, 0)));
		world.addObject(new Robot(new Vec2(0.7f, 0.75f), 270.0f, world, new ForwardTestController(0, 0, 0)));

		world.addObject(new Robot(new Vec2(0.3f, 0.9f), 270.0f, world, new ForwardTestController(0, 0, 0)));
		world.addObject(new LightSource(new Vec2(0.2f, 0.865f), Color.BLUE));//1.0 0.55
		world.addObject(new LightSource(new Vec2(0.2f, 0.935f), Color.BLUE));
		// Add ice areas
//		world.getGround().addIceArea(new IceRectangle(new Vec2(0.0f, 0.01f), new Vec2(1.3f, 1.3f)));

		world.getGround().addWindArea(new WindArea(new Vec2(0f, 0f), new Vec2(1.6f, 2.4f), 4, WindArea.EAST, world));
		SimulatorOptions.drawSensors = false;

		return world;
	}

}
